package com.adaptrex.core.ext.data;

import com.fasterxml.jackson.annotation.JsonInclude;

public class Filter {

	private String		property;
	private Object		value;
	
	public Filter(String property, Object value) {
		this.property = property;
		this.value = value;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public Object getValue() {
		return value;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public String getProperty() {
		return property;
	}
}