package com.adaptrex.core.ext.data;

import com.fasterxml.jackson.annotation.JsonInclude;

public class Sorter {

	private String		property;
	private String		direction;
	private String		root;
	
	public Sorter(String property, String direction, String root) {
		this.property = property;
		this.direction = direction;
		this.root = root;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public String getDirection() {
		return direction;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public String getProperty() {
		return property;
	}

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public String getRoot() {
		return root;
	}
	
}
