package com.adaptrex.core.security.annotation;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import javax.enterprise.util.Nonbinding;
import javax.interceptor.InterceptorBinding;


@InterceptorBinding
@Target({TYPE, METHOD})
@Retention(RUNTIME)
public @interface SecurePermissions {
    @Nonbinding
    String[] permissions();
    boolean inclusive() default false;
}
