package com.adaptrex.core.ext.jsf;

import java.io.IOException;

import javax.faces.component.UIComponentBase;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;

public class ExtComponentBase extends UIComponentBase {
	
	@Override
	public String getFamily() { 
		return null;
	}

	private FacesContext getContext() {
		return FacesContext.getCurrentInstance();
	}
	
	protected HttpServletRequest getRequest() {
		return  (HttpServletRequest) 
				getContext().getExternalContext().getRequest();
	}

	protected void setAttribute(String key, Object val) {
		getRequest().setAttribute("adaptrex_" + key, val);
	}

	protected Object getAttribute(String key) {
		return getRequest().getAttribute("adaptrex_" + key);
	}

	/*
	 * Write to our response
	 */
	protected void write(String output) throws IOException {
		getContext().getResponseWriter().write(output + "\n");
	} 
	
	protected void writeScript(String output) throws IOException {
		write("<script type='text/javascript'>\n" + output + "\n</script>");
	}
}
